/**
 * functions to handle register requests. 
 *
 * TODO: On time of writing, the backend doesn't support these endpoints so it could be modified in the future.
 */
import {restGet, restPatch,restPatchInfo} from './restConsumer.js'

/**
 * create a new register requests that can be recovered by the registering service
 * TODO: add info in the Object (I don't know what will be needed)
 */
export async function createRegister(){
	return restPost("/request/register");
}

/**
 * list all register request in a list of Objects
 * Shall return a list of
 * - id
 * - type
 * - lastName
 * - firstName
 * - address
 * - country
 * - birthdate
 * - email
 * - curriculum
 * - degree
 */
export async function getRegisters(id){
	if(id != null)
		return restGet("/request/register/" + id);
	return restGet("/request/register")
}

export async function getAllRegisters(){
  return restGet("/requests/register")
}

/**
 * Change the state of a requests.
 */
export async function validateRegister(id, state){
  return restPatch("/request/register/" + id, state);
}
